# pismotek-remote

Remote desktop connection application that will run a copy of TightVNC server performing a reverse connection to PismoTek.

## Setting up the build environment
Making the assumption that python is installed in `C:\Program Files\Python38` and Develmpent is being done under `C:\Development`

Pull a copy of this project from git:
```
cd \development
git clone https://git.elder-geek.net/Pismotek/pisomtek-remote.git
git clone ssh://git@git.elder-geek.net:10330/Pismotek/pismotek-remote.git
```

Then setup this foulder with a virtual environment:
```
cd pismotek-remote
& "C:\Program Files\Python38\python" -m venv venv
```

Activate the virtual enviroment:
```
venv\Script\activate
```

Update `pip `and install requirments:
```
python -m pip install --upgrade pip
pip install -r requisments.txt
```

Testing code after making edits:
```
python pismotek-remote.py
```

To create an executable in `C:\Development\pismotek-remote\dist`:
```
pyinstaller pismotek-remote.spec
```


## To Activate the virtual enviroment from a new DOS prompt
```
cd \development\hcatitles
venv\Scripts\activate
```

When done working in the virtual enviroment:
```
deactivate
```


## First time run of pyinstaller to generate pismotek-remote.spec
Windows uses `^` to continues a command on the next line.
```
pyinstaller --onefile --windowed --icon remotedesktop.ico ^
            --add-data "remotedesktop.ico:."
            pismotek-remote.py
 ```
